import * as types from "../actionTypes/actionTypes";

const initialState = {
    eventUsers: []
}

export default (state = initialState, action) => {
    switch (action.type) {
        //get
        case types.GET_REGISTRATION_EVENT: {
            return state;
        }

        case types.GET_REGISTRATION_EVENT_SUCCESS: {
            //console.log('getRegEventUser', action.payload.eventusers)
            return {
                ...state,
                eventUsers: action.payload.eventusers
            };
        }

        case types.GET_REGISTRATION_EVENT_ERROR: {
            console.log(action.payload.message);
            return state;
        }

        //post
        case types.POST_REGISTRATION_EVENT: {
            return state;
        }

        case types.POST_REGISTRATION_EVENT_SUCCESS: {
            return state;
        }

        case types.POST_REGISTRATION_EVENT_ERROR: {
            console.log(action.payload.message);
            return state;
        }

        //put
        case types.PUT_REGISTRATION_EVENT: {
            return state;
        }

        case types.PUT_REGISTRATION_EVENT_SUCCESS: {
            console.log('getRegEventUser',action.payload)
            return state;
        }

        case types.PUT_REGISTRATION_EVENT_ERROR: {
            console.log(action.payload);
            return state;
        }

        default:
            return state;
    }
}